Token payroll
Get Archived Payroll Items
Returns a paginated, searchable list of archived payroll reporting items.
GEThttps://api.toku.com/tga/get-archived-payroll-items
Required scope: payroll:read. It also needs compensation:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-archived-payroll-items?page=%3Cpage%3E&rowsPerPage=%3CrowsPerPage%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"items": [
{
"id": "string",
"itemType": "VESTING",
"organizationName": "string",
"archivedAt": "string",
"reason": "string",
"recipientName": "string",
"recipientID": "string",
"country": "string",
"grantName": "string",
"grantID": "string",
"warrantID": "string",
"sequenceNumber": 0,
"eventDate": "string",
"settledDate": "string",
"vestingAmount": "string",
"token": "string",
"currency": "string",
"fmv": "string",
"grossGain": "string",
"taxRate": "string",
"totalTax": "string",
"tokensWithheld": "string",
"netTokens": "string",
"netFiatAmount": "string"
}
],
"pagination": {
"page": 0,
"rowsPerPage": 0,
"totalCount": 0
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
pageintegerrequiredAllowed: at least 0
rowsPerPageintegerrequiredAllowed: 1 to 100
searchTermstringResponse
200Successful response
itemsobject[]requiredShow child attributes
idstringrequireditemTypestringrequiredAvailable options: VESTING, LOCKUP, WARRANT_LOCKUP
organizationNamestringrequiredarchivedAtstringrequiredreasonstringrequiredrecipientNamestringrecipientIDstringcountrystring | nullgrantNamestringgrantIDstringwarrantIDstringsequenceNumberintegereventDatestringsettledDatestring | nullvestingAmountstringtokenstring | nullcurrencystring | nullfmvstringgrossGainstringtaxRatestringtotalTaxstringtokensWithheldstringnetTokensstringnetFiatAmountstringpaginationobjectrequiredShow child attributes
pageintegerrequiredrowsPerPageintegerrequiredtotalCountintegerrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits